## Database - Grandfathered

Database - Grandfathered — An interface to access Grandfathered Database

## Functions

lt_grandfathered_db_t * | lt_grandfathered_db_new ()
lt_grandfathered_db_t * | lt_grandfathered_db_ref ()
void | lt_grandfathered_db_unref ()
lt_grandfathered_t * | lt_grandfathered_db_lookup ()

## Types and Values

| lt_grandfathered_db_t

## Description

This class provides an interface to access Grandfathered database. which has been registered under RFC 3066 and mostly deprecated.

## Functions

### lt_grandfathered_db_new ()

    lt_grandfathered_db_t *
    lt_grandfathered_db_new (void);

Create a new instance of a lt_grandfathered_db_t.

#### Returns

a new instance of lt_grandfathered_db_t.

[transfer full]

### lt_grandfathered_db_ref ()

    lt_grandfathered_db_t *
    lt_grandfathered_db_ref (lt_grandfathered_db_t *grandfathereddb);

Increases the reference count of `grandfathereddb` .

#### Parameters

grandfathereddb | a lt_grandfathered_db_t. |

#### Returns

the same `grandfathereddb` object.

[transfer none]

### lt_grandfathered_db_unref ()

    void
    lt_grandfathered_db_unref (lt_grandfathered_db_t *grandfathereddb);

Decreases the reference count of `grandfathereddb` . when its reference count drops to 0, the object is finalized (i.e. its memory is freed).

#### Parameters

grandfathereddb | a lt_grandfathered_db_t. |

### lt_grandfathered_db_lookup ()

    lt_grandfathered_t *
    lt_grandfathered_db_lookup (lt_grandfathered_db_t *grandfathereddb,
                                const char *tag);

Lookup `lt_grandfathered_t` if `tag` is valid and registered into the database.

#### Parameters

grandfathereddb | a lt_grandfathered_db_t. |
tag | a tag name to lookup. |

#### Returns

a lt_grandfathered_t that meets with `tag` . otherwise `NULL`.

[transfer full]

## Types and Values

### lt_grandfathered_db_t

    typedef struct _lt_grandfathered_db_t lt_grandfathered_db_t;

All the fields in the lt_grandfathered_db_t structure are private to the lt_grandfathered_db_t implementation.